import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { ProductoComponent } from './producto/producto.component';
import { MostrarProComponent } from './producto/mostrar-pro/mostrar-pro.component';
import { AgregarEditarProComponent } from './producto/agregar-editar-pro/agregar-editar-pro.component';
import { ModeloComponent } from './modelo/modelo.component';
import { MostrarModComponent } from './modelo/mostrar-mod/mostrar-mod.component';
import { AgregarEditarModComponent } from './modelo/agregar-editar-mod/agregar-editar-mod.component';
import { InfoModComponent } from './modelo/info-mod/info-mod.component';
import { SharedService } from './shared.service';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { HttpClientModule } from '@angular/common/http';
import { FormsModule,ReactiveFormsModule } from '@angular/forms';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';


@NgModule({
  declarations: [
    AppComponent,
    ProductoComponent,
    MostrarProComponent,
    AgregarEditarProComponent,
    ModeloComponent,
    MostrarModComponent,
    AgregarEditarModComponent,
    InfoModComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    NgbModule
  ],
  providers: [SharedService],
  bootstrap: [AppComponent]
})
export class AppModule { }
