import { Component, Input, OnInit } from '@angular/core';
import { SharedService } from 'src/app/shared.service';

@Component({
  selector: 'app-info-mod',
  templateUrl: './info-mod.component.html',
  styleUrls: ['./info-mod.component.css']
})
export class InfoModComponent implements OnInit {

  constructor(private service:SharedService) { }

  @Input() mod:any; activModEsp:any;
  ModeloId:string="";
  ModeloNombre:string="";
  ModeloProducto:string="";
  ModeloFecha:string="";
  ModeloImagen:string="";
  ModeloImagenRuta:string="";
  ModeloFabricante:string="";
  ModeloVent:string="";
  ModeloInco:string="";

  ProductosLista:any=[];

  ngOnInit(): void {
    this.cargarProductoLista();
    
  }

  cargarProductoLista(){
    this.service.obtenerProductoNombres().subscribe((data:any)=>{
      this.ProductosLista=data;
      this.ModeloId=this.mod.ModeloId;
      this.ModeloNombre=this.mod.ModeloNombre;
      this.ModeloProducto=this.mod.ModeloProducto;
      this.ModeloFabricante=this.mod.ModeloFabricante;
      this.ModeloFecha=this.mod.ModeloFecha;
      this.ModeloImagen=this.mod.ModeloImagen;
      this.ModeloImagenRuta=this.service.ImagenUrl+this.ModeloImagen;
      this.ModeloVent=this.mod.ModeloVent;
      this.ModeloInco=this.mod.ModeloInco;
    });
  }

  agregarModelo(){
    var val = {ModeloId:this.ModeloId,
                ModeloNombre:this.ModeloNombre,
                ModeloProducto:this.ModeloProducto,
                ModeloFabricante:this.ModeloFabricante,
                ModeloFecha:this.ModeloFecha,
                ModeloImagen:this.ModeloImagen,
                ModeloVent:this.ModeloVent,
                ModeloInco:this.ModeloInco};

    this.service.agregarModelo(val).subscribe(res=>{
      alert(res.toString());
    });
  }

  modificarModelo(){
    var val = {ModeloId:this.ModeloId,
      ModeloNombre:this.ModeloNombre,
      ModeloProducto:this.ModeloProducto,
      ModeloFabricante:this.ModeloFabricante,
      ModeloFecha:this.ModeloFecha,
      ModeloImagen:this.ModeloImagen,
      ModeloVent:this.ModeloVent,
      ModeloInco:this.ModeloInco};

    this.service.modificarModelo(val).subscribe(res=>{
    alert(res.toString());
    });
  }


  subirImagen(event:any){
    var file=event.target.files[0];
    const formData:FormData=new FormData();
    formData.append('uploadedFile',file,file.name);

    this.service.subirImg(formData).subscribe((data:any)=>{
      this.ModeloImagen=data.toString();
      this.ModeloImagenRuta=this.service.ImagenUrl+this.ModeloImagen;
    })
  }

}