import { Component, OnInit, Input } from '@angular/core';
import {SharedService} from 'src/app/shared.service';
import { trigger, transition, state, animate, style } from '@angular/animations';
import { servicesVersion } from 'typescript';

@Component({
  selector: 'app-mostrar-mod',
  templateUrl: './mostrar-mod.component.html',
  styleUrls: ['./mostrar-mod.component.css'],
  animations: [
    trigger('mostrarModal', [
      // ...
      state('inactivo', style({
        visibility: 'hidden',
        /* transform: 'translateY(-450px)', */
      })),
      state('activo', style({
        width: "calc(100% - 24px)",
	      opacity: 1,
/*         transform: 'translateY(-200px)',
 */      })),
      transition('* => *', [
        animate('0.5s')
      ]),
    ]),
  ],
})
export class MostrarModComponent implements OnInit {

  constructor(private service: SharedService) { }

  @Input() ModeloLista:any;
  @Input() productoEspecifico:any;

  ModalTitulo:string="";
  ActivarAgregarEditarModComp:boolean=false;
  mod:any;
  modal:any;
  fondo:any;
  activado=false;
  ruta:any;
  prodEsp=false;
  mostrarInfo=false;
  interval:any;

  ngOnInit(): void {
    this.activado=false;
    this.actualizarModLista();  
    this.interval = setInterval(() => { 
      this.actualizarModLista(); 
  }, 500);
    
    
    this.ruta=this.service.ImagenUrl;
  }

  mostrarClic(item:any){
    console.log(item);
    this.mod=item;
    this.ActivarAgregarEditarModComp=false;
    this.ModalTitulo=this.mod.ModeloNombre;
    this.activado=true;
    this.mostrarInfo=true;
  }

  editarClic(item:any){
    console.log(item)
    
    
    this.mod=item;

    this.ModalTitulo="MODIFICAR MODELO";
    this.activado=true;
    this.mostrarInfo=false;
    this.ActivarAgregarEditarModComp=true;
        
  }

  agregarClic(){
    
    this.mod={
      ModeloId:0,
      ModeloNombre:"",
      ModeloProducto:"",
      ModeloFabricante:"",
      ModeloFecha:"",
      ModeloImagen:"porDefecto.jpg",
      ModeloVent:"",
      ModeloInco:""
    }
    this.ModalTitulo="AGREGAR MODELO";
    this.activado=true;
    this.mostrarInfo=false;
    this.ActivarAgregarEditarModComp=true;
    
    
  }

  

  eliminarClic(item:any){
    if(confirm('¿Deseas eliminar este modelo?')){
      this.service.eliminarModelo(item.ModeloId).subscribe(data=>{
        alert(data.toString());
        this.actualizarModLista();
        window.location.reload()
      })
    }
  }

 
  cerrarClic(){
    this.activado=false;
    this.actualizarModLista();
    setTimeout (() => {
      this.ActivarAgregarEditarModComp=false;
      this.mostrarInfo=false;
      window.location.reload();
   }, 600);
    
    
  }

  actualizarModLista(){
    this.service.obtenerModLista().subscribe(data=>{
      this.ModeloLista=data;
    });
  }


  

}



