import { Component, Input, OnInit } from '@angular/core';
import { SharedService } from 'src/app/shared.service';


@Component({
  selector: 'app-agregar-editar-pro',
  templateUrl: './agregar-editar-pro.component.html',
  styleUrls: ['./agregar-editar-pro.component.css']
})
export class AgregarEditarProComponent implements OnInit {

  constructor(private service:SharedService) { }

  @Input() pro:any;
  ProductoId:string="";
  ProductoNombre:string="";
  ProductoApuntes:string="";



  ngOnInit(): void {
    this.pro="";
    this.ProductoId=this.pro.ProductoId;
    this.ProductoNombre=this.pro.ProductoNombre;
    this.ProductoApuntes=this.pro.ProductoApuntes;
  }

  agregarProducto(){
    var val ={ProductoId:this.pro.ProductoId,
              ProductoNombre:this.ProductoNombre,
              ProductoApuntes:this.ProductoApuntes};
    if(this.ProductoNombre==undefined){
      // @ts-ignore
      Swal.fire({
        icon: 'error',
        title: 'Ha habido un error.',
        text: 'Debes especificar un nombre para el producto',
      });
    }else{       
      this.service.agregarProducto(val).subscribe();
        // @ts-ignore
        Swal.fire({
          icon: 'success',
          title: 'Perfecto!',
          text: 'Producto agregado correctamente',
        });
    }
      
    /* else{       
      this.service.agregarProducto(val).subscribe(res=>{
        alert(res.toString());
      }); */
    

  }

  modificarProducto(){
    var val = {ProductoId:this.pro.ProductoId,
               ProductoNombre:this.ProductoNombre,
               ProductoApuntes:this.ProductoApuntes};
    this.service.modificarProducto(val).subscribe(res=>{
    alert(res.toString());
    });
  }

}


