import { Component, Input, OnInit } from '@angular/core';
import {SharedService} from 'src/app/shared.service';
import { trigger, transition, state, animate, style } from '@angular/animations';
import { ResourceLoader } from '@angular/compiler';

@Component({
  selector: 'app-mostrar-pro',
  templateUrl: './mostrar-pro.component.html',
  styleUrls: ['./mostrar-pro.component.css'],
  animations: [
    trigger('mostrarModal', [
      // ...
      state('inactivo', style({
        visibility: 'hidden',
/*         transform: 'translateY(-200px)',
 */      })),
      state('activo', style({
        
        opacity: 1,
        width: "calc(100% - 24px)",
/*         transform: 'translateY(-400px)',
 */      })),
      transition('* => *', [
        animate('0.6s')
      ]),
    ]),
  ],
})
export class MostrarProComponent implements OnInit {

  constructor(private service: SharedService) { }

  ProductoLista:any=[];

  @Input() mod:any;
  @Input() productoEspecifico:any;

  ModalTitulo:string="";
  pro:any;
  model:any;
  modal:any;
  ph1:any;
  ph2:any;
  activado=false;
  
  
  ModeloId:string="";
  ModeloNombre:string="";
  ModeloProducto:string="";
  ModeloFecha:string="";
  ModeloImagen:string="";
  ModeloImagenRuta:string="";
  ModeloFabricante:string="";
  ModeloVent:string="";
  ModeloInco:string="";
  ruta:string="";
  ModeloLista:any=[];
  activModEsp=false;
  interval:any;
  

  ngOnInit(): void {
    this.productoEspecifico=false;
    this.actualizarProLista();
    this.ruta=this.service.ImagenUrl;
    this.interval = setInterval(() => { 
      this.actualizarProLista(); 
  }, 500);
  }

  

  cargarModelosEsp(item:any){
    
    console.log("mod="+this.mod)
    this.service.obtenerModelosEsp(item).subscribe((data:any)=>{
      this.ModeloLista=data;
      console.log(this.ModeloLista)
    });
    

  }

  clicCambiaProEsp(){
    this.productoEspecifico=!this.productoEspecifico;
    console.log(this.productoEspecifico);
    }

  refrescarPagina(){
    console.log("Has hecho click en el pseudoboton");
    if(this.productoEspecifico=false){
      window.location.reload();
    }
  }

  anadirModClic(item:string){
    this.mod=item;
    this.ModalTitulo="AGREGAR MODELO";
    this.activado=true;
    this.activModEsp=true;
  }

  agregarClic(){
    this.pro={
      ProductoId:0,
      ProductoNombre:"",
      ProductoApuntes:""
    }
    this.ModalTitulo="AGREGAR PRODUCTO";
    this.activado=true;
    this.activModEsp=false;
    this.ph1=document.querySelector(".form-nombre-producto");
    
    this.ph1.value="";
    this.ph1.placeholder="Nombre del Producto";
    this.ph2=document.querySelector(".form-apuntes");
    
    this.ph2.value="";
    this.ph2.placeholder="Apuntes";
    
  }

  editarClic(item:any){
    console.log(item)
    this.pro=item;
    this.ModalTitulo="MODIFICAR PRODUCTO";
    this.activado=true;
    this.activModEsp=false;
    this.ph1=document.querySelector(".form-nombre-producto");
    this.ph1.value=`${this.pro.ProductoNombre}`;
    this.ph2=document.querySelector(".form-apuntes");
    if(this.pro.ProductoApuntes==null){
    this.ph2.value="";
    this.ph2.placeholder="Apuntes";
    }else{
      this.ph2.value=`${this.pro.ProductoApuntes}`;}
  }

  eliminarClic(item:any){
    if(confirm('¿Deseas eliminar este producto?')){
      this.service.eliminarProducto(item.ProductoId).subscribe(data=>{
        alert(data.toString());
        this.actualizarProLista();
      })
    }
  }

  cerrarClic(){
    console.log(this.productoEspecifico)
    this.activado=false;
    this.actualizarProLista();
    
  }

  actualizarProLista(){
    this.service.obtenerProLista().subscribe(data=>{
      this.ProductoLista=data;
    });
        
  }


  

}


