import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class SharedService {
  readonly APIUrl='http://192.168.1.102:9090/api';
  readonly ImagenUrl='http://192.168.1.102:9090/Imagenes/';
/*   http://192.168.1.102:9090
  Para acceder desde fuera, o desde el móvil, hay que activar los puertos 80 y 9090 del router, y cambiar las direcciones de arriba por la de a continuación:
      80.30.51.233:9090

  Teniendo cerrados los puertos, comprobar en cmd escribiendo 'netstat -an' si el puerto 80 sigue escuchando. Si es así, escribir 'services.msc', y detener
  el servicio 'Servicio de publicación World Wide Web. Ejecutar 'ng serve --host=192.168.1.102 --port 80'. Abrir puertos, y ejecutar servidor iis. Escribir
  80.30.51.233 en el navegador.
 */  constructor(private http:HttpClient) { }

  obtenerProLista():Observable<any[]>{
    return this.http.get<any>(this.APIUrl+'/Producto');
  }

  agregarProducto(val:any){
    return this.http.post(this.APIUrl+'/Producto',val);
  }


  modificarProducto(val:any){
    return this.http.put(this.APIUrl+'/Producto',val);
  }

  eliminarProducto(val:any){
    return this.http.delete(this.APIUrl+'/Producto/'+val);
  }

  obtenerModLista():Observable<any[]>{
    return this.http.get<any>(this.APIUrl+'/Modelo');
  }

  agregarModelo(val:any){
    return this.http.post(this.APIUrl+'/Modelo',val);
  }

  modificarModelo(val:any){
    return this.http.put(this.APIUrl+'/Modelo',val);
  }

  eliminarModelo(val:any){
    return this.http.delete(this.APIUrl+'/Modelo/'+val);
  }

  subirImg(val:any){
    return this.http.post(this.APIUrl+'/Modelo/GuardarArchivo',val);
  }

  obtenerProductoNombres():Observable<any[]>{
    return this.http.get<any[]>(this.APIUrl+'/Modelo/ObtenerProductoNombres');
  }

  obtenerModelosEsp(val:any){
    return this.http.get<any[]>(this.APIUrl+'/Modelo/ObtenerModelosEsp?modPro='+val);
  }

  
}
